Page MenuHomePhabricator

English labels in wikidata prefix search in non-English have low ranking
Closed, ResolvedPublic

Description

If you prefix search for "gold" on Wikidata in English, you get Q897. However, if you switch to Russian and search for "gold", you still get matches, but Q897 is nowhere to be seen. This looks wrong - Q897 should still show higher on account of it's scoring by links, etc.
See: https://www.wikidata.org/wiki/Wikidata:Project_chat#Search_misses_top_item

Event Timeline

Smalyshev created this task.Dec 5 2017, 6:31 PM
Restricted Application added a project: Discovery. · View Herald TranscriptDec 5 2017, 6:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Smalyshev renamed this task from English labels in wikidata prefix search in non-English have wrong ranking to English labels in wikidata prefix search in non-English have low ranking.Dec 5 2017, 6:31 PM
thiemowmde triaged this task as Normal priority.Dec 5 2017, 6:49 PM

We really need a centralized place to store all these queries and expected results with different parameters. The key to making effective search is to have a set of queries and known good results, and then be able to evaluate changes to the system in how it affects all of those queries.

@EBernhardson good idea, still haven't found the way to organize it...

debt added a subscriber: debt.

Maybe @dcausse and @Smalyshev can take a look at this in Q3 FY2017/18

@debt i think we should plan some work on search tuning for Wikidata on Q3, yes. @Lydia_Pintscher has also mentioned there were some complaints and we're planning to assemble them and do another round of tuning.

Change 397887 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/Wikibase@master] [search] better tuning with language fallbacks for prefix search

https://gerrit.wikimedia.org/r/397887

Change 397887 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] [search] better tuning with language fallbacks for prefix search

https://gerrit.wikimedia.org/r/397887

Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Dec 18 2017, 2:57 PM
Smalyshev closed this task as Resolved.Jan 5 2018, 10:19 PM

Seems to be working fine now